View Issue Details

IDProjectCategoryView StatusLast Update
0005690Simple:Presscode - classespublic2017-07-11 01:58
ReporterMr PapaAssigned ToMr Papa 
PrioritynormalSeverityN/AReproducibilityhave not tried
Status closedResolutionfixed 
Product Version5.7.3 
Target Version5.8Fixed in Version5.8 
Summary0005690: Loader Classes
Descriptiongenerate loader classes for core, admin, site, forum, etc as needed...
TagsNo tags attached.
change_log_textgenerate loader classes
typeenhancement

Activities

svn

svn

2016-12-24 07:10

administrator   ~0018878

Changeset [14884] by steve on 2016-12-24 02:10:13 -0500 (Sat, 24 Dec 2016)

see issue 0005690 proof of concept for core loader class. includes some high level restructuring... would do more if this concept works when other loader classes created.

 Changed Files:

U trunk/sp-api/sp-api-class-activity.php
U trunk/sp-api/sp-api-class-auths.php
U trunk/sp-api/sp-api-class-cache.php
U trunk/sp-api/sp-api-class-memberdata.php
U trunk/sp-api/sp-api-class-meta.php
U trunk/sp-api/sp-api-class-notifications.php
U trunk/sp-api/sp-api-globals.php
U trunk/sp-control.php
U trunk/sp-startup/admin/spa-admin-updater.php
A trunk/sp-startup/core/
A trunk/sp-startup/core/sp-core-ajax-actions.php
A trunk/sp-startup/core/sp-core-constants.php
A trunk/sp-startup/core/sp-core-cron.php
A trunk/sp-startup/core/sp-core-deprecated.php
A trunk/sp-startup/core/sp-core-support-functions.php
U trunk/sp-startup/forum/sp-forum-ajax-actions.php
D trunk/sp-startup/site/sp-common-ajax-actions.php
U trunk/sp-startup/site/sp-site-constants.php
D trunk/sp-startup/site/sp-site-cron.php
D trunk/sp-startup/site/sp-site-deprecated.php
U trunk/sp-startup/site/sp-site-support-functions.php
U trunk/sp-startup/sp-load-admin.php
U trunk/sp-startup/sp-load-ajax.php
A trunk/sp-startup/sp-load-class-core.php
U trunk/sp-startup/sp-load-core-admin.php
D trunk/sp-startup/sp-load-core.php
U trunk/sp-startup/sp-load-forum.php
U trunk/sp-startup/sp-load-site.php

 Differences:

 http://websvn.simple-press.com/revision.php?repname=Simple:Press&path=%2F&rev=14884
svn

svn

2016-12-24 17:16

administrator   ~0018880

Changeset [14886] by steve on 2016-12-24 12:16:44 -0500 (Sat, 24 Dec 2016)

see issue 0005690 tweaks for core loader class

 Changed Files:

U trunk/forum/editor/sp-text-editor.php
U trunk/sp-startup/core/sp-core-ajax-actions.php
U trunk/sp-startup/core/sp-core-constants.php
U trunk/sp-startup/core/sp-core-cron.php
U trunk/sp-startup/core/sp-core-deprecated.php
U trunk/sp-startup/core/sp-core-support-functions.php
U trunk/sp-startup/site/credentials/sp-credentials.php
U trunk/sp-startup/site/credentials/sp-new-user-email.php
U trunk/sp-startup/site/credentials/sp-rpx.php
U trunk/sp-startup/site/sp-site-constants.php

 Differences:

 http://websvn.simple-press.com/revision.php?repname=Simple:Press&path=%2F&rev=14886
svn

svn

2016-12-24 18:03

administrator   ~0018884

Changeset [14890] by steve on 2016-12-24 13:03:10 -0500 (Sat, 24 Dec 2016)

see issue 0005690 tweaks for core loader class - temp fix

 Changed Files:

U trunk/sp-startup/sp-load-class-core.php

 Differences:

 http://websvn.simple-press.com/revision.php?repname=Simple:Press&path=%2F&rev=14890
svn

svn

2016-12-25 01:16

administrator   ~0018887

Changeset [14893] by steve on 2016-12-24 20:16:58 -0500 (Sat, 24 Dec 2016)

see issue 0005690 tweaks for core loader class

 Changed Files:

U trunk/admin/panel-components/support/spa-components-save.php
U trunk/forum/content/sp-common-view-functions.php
U trunk/sp-api/sp-api-class-spcpost.php
A trunk/sp-startup/core/credentials/
U trunk/sp-startup/core/sp-core-ajax-actions.php
U trunk/sp-startup/core/sp-core-constants.php
U trunk/sp-startup/core/sp-core-cron.php
U trunk/sp-startup/core/sp-core-deprecated.php
U trunk/sp-startup/core/sp-core-support-functions.php
U trunk/sp-startup/forum/sp-forum-support-functions.php
D trunk/sp-startup/site/credentials/
U trunk/sp-startup/sp-load-class-core.php
U trunk/sp-startup/sp-load-site.php

 Differences:

 http://websvn.simple-press.com/revision.php?repname=Simple:Press&path=%2F&rev=14893
svn

svn

2016-12-25 01:52

administrator   ~0018888

Changeset [14894] by steve on 2016-12-24 20:52:17 -0500 (Sat, 24 Dec 2016)

see issue 0005690 comments for core loader class

 Changed Files:

U trunk/sp-control.php
U trunk/sp-startup/sp-load-class-core.php

 Differences:

 http://websvn.simple-press.com/revision.php?repname=Simple:Press&path=%2F&rev=14894
svn

svn

2016-12-25 02:28

administrator   ~0018889

Changeset [14895] by steve on 2016-12-24 21:28:09 -0500 (Sat, 24 Dec 2016)

see issue 0005690 comments for core loader class and core elements

 Changed Files:

U trunk/sp-startup/core/sp-core-ajax-actions.php
U trunk/sp-startup/core/sp-core-cron.php
U trunk/sp-startup/core/sp-core-deprecated.php
U trunk/sp-startup/core/sp-core-support-functions.php
U trunk/sp-startup/sp-load-class-core.php

 Differences:

 http://websvn.simple-press.com/revision.php?repname=Simple:Press&path=%2F&rev=14895
svn

svn

2016-12-25 05:00

administrator   ~0018890

Changeset [14896] by steve on 2016-12-25 00:00:12 -0500 (Sun, 25 Dec 2016)

see issue 0005690 comments for core loader class and core elements

 Changed Files:

U trunk/sp-startup/sp-load-class-core.php

 Differences:

 http://websvn.simple-press.com/revision.php?repname=Simple:Press&path=%2F&rev=14896
svn

svn

2016-12-25 19:44

administrator   ~0018895

Changeset [14901] by steve on 2016-12-25 14:44:37 -0500 (Sun, 25 Dec 2016)

see issue 0005690 tweaks for core loader class

 Changed Files:

U trunk/sp-control.php
A trunk/sp-startup/core/sp-core-ajax.php
A trunk/sp-startup/core/sp-core-debug.php
D trunk/sp-startup/sp-load-ajax.php
U trunk/sp-startup/sp-load-class-spccoreloader.php
D trunk/sp-startup/sp-load-debug.php

 Differences:

 http://websvn.simple-press.com/revision.php?repname=Simple:Press&path=%2F&rev=14901
svn

svn

2016-12-26 00:24

administrator   ~0018896

Changeset [14902] by steve on 2016-12-25 19:24:07 -0500 (Sun, 25 Dec 2016)

see issue 0005690 extend core loader to site and forum loaders

 Changed Files:

U trunk/sp-control.php
A trunk/sp-startup/admin/spa-admin-constants.php
U trunk/sp-startup/core/sp-core-ajax.php
U trunk/sp-startup/core/sp-core-constants.php
U trunk/sp-startup/core/sp-core-deprecated.php
U trunk/sp-startup/core/sp-core-support-functions.php
U trunk/sp-startup/forum/sp-forum-constants.php
U trunk/sp-startup/forum/sp-forum-framework.php
U trunk/sp-startup/forum/sp-forum-support-functions.php
D trunk/sp-startup/forum/sp-global-forum-constants.php
U trunk/sp-startup/site/sp-site-constants.php
U trunk/sp-startup/site/sp-site-support-functions.php
U trunk/sp-startup/sp-load-class-spccoreloader.php
A trunk/sp-startup/sp-load-class-spcforumloader.php
A trunk/sp-startup/sp-load-class-spcsiteloader.php
U trunk/sp-startup/sp-load-core-admin.php
D trunk/sp-startup/sp-load-forum.php
D trunk/sp-startup/sp-load-site.php

 Differences:

 http://websvn.simple-press.com/revision.php?repname=Simple:Press&path=%2F&rev=14902
svn

svn

2016-12-26 03:21

administrator   ~0018897

Changeset [14903] by steve on 2016-12-25 22:21:53 -0500 (Sun, 25 Dec 2016)

see issue 0005690 extend core loader to admin core and admin loaders

 Changed Files:

U trunk/admin/panel-permissions/spa-permissions.php
U trunk/sp-control.php
D trunk/sp-startup/admin/spa-admin-global-functions.php
A trunk/sp-startup/admin/spa-admin-support-functions.php
U trunk/sp-startup/core/sp-core-ajax.php
D trunk/sp-startup/sp-load-admin.php
A trunk/sp-startup/sp-load-class-spcadmincoreloader.php
A trunk/sp-startup/sp-load-class-spcadminloader.php
U trunk/sp-startup/sp-load-class-spcforumloader.php
U trunk/sp-startup/sp-load-class-spcsiteloader.php
D trunk/sp-startup/sp-load-core-admin.php

 Differences:

 http://websvn.simple-press.com/revision.php?repname=Simple:Press&path=%2F&rev=14903
svn

svn

2016-12-26 05:20

administrator   ~0018898

Changeset [14904] by steve on 2016-12-26 00:20:46 -0500 (Mon, 26 Dec 2016)

see issue 0005690 comments for loader classes

 Changed Files:

U trunk/sp-control.php
U trunk/sp-startup/admin/spa-admin-ajax-actions.php
U trunk/sp-startup/admin/spa-admin-constants.php
U trunk/sp-startup/admin/spa-admin-framework.php
U trunk/sp-startup/admin/spa-admin-menu.php
U trunk/sp-startup/admin/spa-admin-notice.php
U trunk/sp-startup/admin/spa-admin-support-functions.php
U trunk/sp-startup/admin/spa-admin-updater-class.php
U trunk/sp-startup/admin/spa-admin-updater.php

 Differences:

 http://websvn.simple-press.com/revision.php?repname=Simple:Press&path=%2F&rev=14904
svn

svn

2016-12-26 17:19

administrator   ~0018901

Changeset [14907] by steve on 2016-12-26 12:19:48 -0500 (Mon, 26 Dec 2016)

see issue 0005690 comments for loader classes

 Changed Files:

U trunk/sp-startup/forum/sp-forum-ajax-actions.php
U trunk/sp-startup/forum/sp-forum-constants.php
U trunk/sp-startup/forum/sp-forum-framework.php
U trunk/sp-startup/forum/sp-forum-support-functions.php

 Differences:

 http://websvn.simple-press.com/revision.php?repname=Simple:Press&path=%2F&rev=14907
svn

svn

2016-12-26 20:34

administrator   ~0018902

Changeset [14908] by steve on 2016-12-26 15:34:50 -0500 (Mon, 26 Dec 2016)

see issue 0005690 comments for loader classes

 Changed Files:

U trunk/sp-startup/admin/spa-admin-class-spcplugininstallerskin.php
U trunk/sp-startup/admin/spa-admin-class-spcpluginupgrader.php
U trunk/sp-startup/admin/spa-admin-class-spcpluginupgraderskin.php
U trunk/sp-startup/admin/spa-admin-class-spcthemeinstallerskin.php
U trunk/sp-startup/admin/spa-admin-class-spcthemeupgrader.php
U trunk/sp-startup/admin/spa-admin-class-spcthemeupgraderskin.php
U trunk/sp-startup/admin/spa-admin-constants.php
U trunk/sp-startup/admin/spa-admin-framework.php
U trunk/sp-startup/admin/spa-admin-menu.php
U trunk/sp-startup/admin/spa-admin-notice.php
U trunk/sp-startup/admin/spa-admin-support-functions.php
U trunk/sp-startup/admin/spa-admin-updater.php

 Differences:

 http://websvn.simple-press.com/revision.php?repname=Simple:Press&path=%2F&rev=14908
svn

svn

2016-12-26 20:45

administrator   ~0018903

Changeset [14909] by steve on 2016-12-26 15:45:19 -0500 (Mon, 26 Dec 2016)

see issue 0005690 comments for loader classes

 Changed Files:

U trunk/sp-startup/core/credentials/sp-credentials.php
U trunk/sp-startup/core/credentials/sp-new-user-email.php
U trunk/sp-startup/core/credentials/sp-rpx.php

 Differences:

 http://websvn.simple-press.com/revision.php?repname=Simple:Press&path=%2F&rev=14909
svn

svn

2016-12-27 00:37

administrator   ~0018904

Changeset [14910] by steve on 2016-12-26 19:37:33 -0500 (Mon, 26 Dec 2016)

see issue 0005690 phase 1 - push "global" variables down to proper class level. phase 2 will see if it makes sense to change to getter/setter methods.

 Changed Files:

U trunk/admin/panel-admins/ajax/spa-ajax-admins-loader.php
U trunk/admin/panel-admins/spa-admins.php
U trunk/admin/panel-components/ajax/spa-ajax-components-loader.php
U trunk/admin/panel-components/ajax/spa-ajax-components.php
U trunk/admin/panel-components/forms/spa-components-forumranks-form.php
U trunk/admin/panel-components/forms/spa-components-smileys-form.php
U trunk/admin/panel-components/forms/spa-components-special-ranks-form.php
U trunk/admin/panel-components/spa-components.php
U trunk/admin/panel-components/support/spa-components-prepare.php
U trunk/admin/panel-components/support/spa-components-save.php
U trunk/admin/panel-forums/ajax/spa-ajax-forums-loader.php
U trunk/admin/panel-forums/ajax/spa-ajax-forums.php
U trunk/admin/panel-forums/forms/spa-forums-create-forum-form.php
U trunk/admin/panel-forums/forms/spa-forums-create-group-form.php
U trunk/admin/panel-forums/forms/spa-forums-custom-icons-form.php
U trunk/admin/panel-forums/forms/spa-forums-edit-forum-form.php
U trunk/admin/panel-forums/forms/spa-forums-edit-group-form.php
U trunk/admin/panel-forums/forms/spa-forums-featured-image-form.php
U trunk/admin/panel-forums/spa-forums.php
U trunk/admin/panel-forums/support/spa-forums-prepare.php
U trunk/admin/panel-integration/ajax/spa-ajax-integration-langs.php
U trunk/admin/panel-integration/ajax/spa-ajax-integration-loader.php
U trunk/admin/panel-integration/forms/spa-integration-language-form.php
U trunk/admin/panel-integration/forms/spa-integration-storage-form.php
U trunk/admin/panel-integration/spa-integration.php
U trunk/admin/panel-options/ajax/spa-ajax-options-loader.php
U trunk/admin/panel-options/spa-options.php
U trunk/admin/panel-permissions/ajax/spa-ajax-permissions-loader.php
U trunk/admin/panel-permissions/spa-permissions.php
U trunk/admin/panel-plugins/ajax/spa-ajax-plugins-loader.php
U trunk/admin/panel-plugins/forms/spa-plugins-list-form.php
U trunk/admin/panel-plugins/spa-plugins.php
U trunk/admin/panel-profiles/ajax/spa-ajax-profiles-loader.php
U trunk/admin/panel-profiles/ajax/spa-ajax-profiles.php
U trunk/admin/panel-profiles/forms/spa-profiles-avatars-form.php
U trunk/admin/panel-profiles/forms/spa-profiles-avatars-pool-form.php
U trunk/admin/panel-profiles/spa-profiles.php
U trunk/admin/panel-profiles/support/spa-profiles-prepare.php
U trunk/admin/panel-profiles/support/spa-profiles-save.php
U trunk/admin/panel-themes/ajax/spa-ajax-themes-loader.php
U trunk/admin/panel-themes/forms/spa-themes-list-form.php
U trunk/admin/panel-themes/forms/spa-themes-mobile-form.php
U trunk/admin/panel-themes/forms/spa-themes-tablet-form.php
U trunk/admin/panel-themes/spa-themes.php
U trunk/admin/panel-toolbox/ajax/spa-ajax-install-log.php
U trunk/admin/panel-toolbox/ajax/spa-ajax-toolbox-loader.php
U trunk/admin/panel-toolbox/spa-toolbox.php
U trunk/admin/panel-usergroups/ajax/spa-ajax-usergroups-loader.php
U trunk/admin/panel-usergroups/forms/spa-usergroups-create-usergroup-form.php
U trunk/admin/panel-usergroups/forms/spa-usergroups-edit-usergroup-form.php
U trunk/admin/panel-usergroups/spa-usergroups-display-main.php
U trunk/admin/panel-usergroups/spa-usergroups.php
U trunk/admin/panel-users/ajax/spa-ajax-users-loader.php
U trunk/admin/panel-users/spa-users.php
U trunk/forum/content/forms/sp-form-components.php
U trunk/forum/content/forms/sp-form-login.php
U trunk/forum/content/forms/sp-form-search.php
U trunk/forum/content/sp-common-view-functions.php
U trunk/forum/content/sp-forum-view-functions.php
U trunk/forum/content/sp-member-view-functions.php
U trunk/forum/content/sp-profile-view-functions.php
U trunk/forum/content/sp-topic-view-functions.php
U trunk/forum/database/sp-db-statistics.php
U trunk/forum/profile/ajax/sp-ajax-profile-save.php
U trunk/forum/profile/ajax/sp-ajax-profile.php
U trunk/forum/profile/forms/sp-form-avatar.php
U trunk/sp-api/sp-api-class-spcauths.php
U trunk/sp-api/sp-api-class-spccache.php
U trunk/sp-api/sp-api-class-spcerror.php
U trunk/sp-api/sp-api-class-spcmemberdata.php
U trunk/sp-api/sp-api-class-spcnotifications.php
U trunk/sp-api/sp-api-class-spcpost.php
U trunk/sp-api/sp-api-class-spcuser.php
U trunk/sp-api/sp-api-common-display.php
U trunk/sp-api/sp-api-filters.php
U trunk/sp-api/sp-api-globals.php
U trunk/sp-api/sp-api-plugins.php
U trunk/sp-control.php
U trunk/sp-startup/admin/spa-admin-framework.php
U trunk/sp-startup/admin/spa-admin-menu.php
U trunk/sp-startup/admin/spa-admin-support-functions.php
U trunk/sp-startup/admin/spa-admin-updater.php
U trunk/sp-startup/core/sp-core-constants.php
U trunk/sp-startup/core/sp-core-support-functions.php
U trunk/sp-startup/forum/sp-forum-constants.php
U trunk/sp-startup/forum/sp-forum-framework.php
U trunk/sp-startup/forum/sp-forum-support-functions.php
U trunk/sp-startup/site/sp-site-constants.php
U trunk/sp-startup/site/sp-site-support-functions.php
U trunk/sp-startup/sp-load-class-spcadmincoreloader.php
U trunk/sp-startup/sp-load-class-spcadminloader.php
U trunk/sp-startup/sp-load-class-spccoreloader.php
U trunk/sp-startup/sp-load-class-spcforumloader.php
U trunk/sp-startup/sp-load-class-spcsiteloader.php

 Differences:

 http://websvn.simple-press.com/revision.php?repname=Simple:Press&path=%2F&rev=14910
svn

svn

2016-12-27 00:38

administrator   ~0018905

Changeset [14911] by steve on 2016-12-26 19:38:01 -0500 (Mon, 26 Dec 2016)

see issue 0005690 phase 1 - push "global" variables down to proper class level. phase 2 will see if it makes sense to change to getter/setter methods.

 Changed Files:

U plugins/admin-bar/library/sp-admin-bar-components.php
U plugins/admin-bar/template-tags/sp-admin-bar-links-tag.php
U plugins/answers-topic/template-tags/sp-answers-topic-answers-button.php
U plugins/answers-topic/template-tags/sp-answers-topic-see-answer.php
U plugins/blog-linking/forms/sp-linking-form.php
U plugins/blog-linking/sp-linking-plugin.php
U plugins/commenter/library/sp-commenter-load-forum.php
U plugins/commenter/sp-commenter-plugin.php
U plugins/commenter/template-files/barebones/spCommentView.php
U plugins/commenter/template-files/reboot/spCommentView.php
U plugins/commenter/template-files/unified/spCommentView.php
U plugins/emoji/sp-emoji-plugin.php
U plugins/gravatar-cache/sp-gravatar-cache-plugin.php
U plugins/gravatar-cache/sp-gravatar-cache-uninstall.php
U plugins/identities/sp-identities-uninstall.php
U plugins/plupload/library/sp-plupload-components.php
U plugins/plupload/sp-plupload-plugin.php
U plugins/plupload/sp-plupload-uninstall.php
U plugins/policy-doc/sp-policy-doc-uninstall.php
U plugins/polls/library/sp-polls-components.php
U plugins/post-by-email/library/sp-email-post-process.php
U plugins/post-multiple/library/sp-post-multiple-components.php
U plugins/post-preview/sp-preview-plugin.php
U plugins/private-messaging/forms/sp-pm-compose-form.php
U plugins/private-messaging/library/sp-pm-template-functions.php
U plugins/private-messaging/template-files/spPMFoot.php
U plugins/private-messaging/template-files/spPMHead.php
U plugins/private-messaging/template-files/spPMMessagesView.php
U plugins/private-messaging/template-files/spPMThreadsView.php
U plugins/report-post/template-tags/sp-report-post-tag.php
U plugins/reputation/admin/sp-reputation-admin-levels.php
U plugins/reputation/ajax/sp-reputation-ajax-manage.php
U plugins/reputation/library/sp-reputation-components.php
U plugins/reputation/sp-reputation-uninstall.php
U plugins/search/template-files/spSearchBlogView.php
U plugins/subscriptions/library/sp-subscriptions-components.php
U plugins/subscriptions/template-tags/sp-subscriptions-forum-index-icon-tag.php
U plugins/subscriptions/template-tags/sp-subscriptions-subscribe-button-tag.php
U plugins/tags/sp-tags-plugin.php
U plugins/tags/template-tags/sp-tags-forum-tags-tag.php
U plugins/tags/template-tags/sp-tags-related-topics-button-tag.php
U plugins/template-tags/library/sp-ShowUserGroups-tag.php
U plugins/threading/library/sp-threading-components.php
U plugins/threading/template-tags/sp-threading-tags.php
U plugins/topic-expire/library/sp-topic-expire-components.php
U plugins/topic-status/template-tags/sp-topicstatus-template-tags.php
U plugins/uploads-viewer/ajax/sp-uploads-viewer-ajax-view.php
U plugins/user-selection/sp-user-selection-plugin.php
U plugins/watches/library/sp-watches-components.php
U plugins/watches/template-tags/sp-watches-watch-button-tag.php

 Differences:

 http://websvn.simple-press.com/revision.php?repname=Simple:Press&path=%2F&rev=14911
svn

svn

2016-12-27 00:38

administrator   ~0018906

Changeset [14912] by steve on 2016-12-26 19:38:31 -0500 (Mon, 26 Dec 2016)

see issue 0005690 phase 1 - push "global" variables down to proper class level. phase 2 will see if it makes sense to change to getter/setter methods.

 Changed Files:

U templates/barebones/templates/spFoot.php
U templates/barebones/templates/spForumView.php
U templates/barebones/templates/spFunctions.php
U templates/barebones/templates/spGroupView.php
U templates/barebones/templates/spHead.php
U templates/barebones/templates/spListView.php
U templates/barebones/templates/spMembersView.php
U templates/barebones/templates/spPMFoot.php
U templates/barebones/templates/spPMHead.php
U templates/barebones/templates/spPMMessagesView.php
U templates/barebones/templates/spPMThreadsView.php
U templates/barebones/templates/spProfileEdit.php
U templates/barebones/templates/spProfileShow.php
U templates/barebones/templates/spSearchBlogView.php
U templates/barebones/templates/spSearchListView.php
U templates/barebones/templates/spSearchView.php
U templates/barebones/templates/spTopicView.php
U templates/barebones-css-desktop/templates/spProfileEdit.php
U templates/barebones-css-desktop/templates/spProfileShow.php
U templates/barebones-css-desktop/templates/spSearchBlogView.php
U templates/barebones-css-desktop/templates/spSearchListView.php
U templates/barebones-css-desktop/templates/spSearchView.php
U templates/barebones-css-mobile/templates/spFunctions.php
U templates/barebones-css-mobile/templates/spProfileEdit.php
U templates/barebones-css-mobile/templates/spProfileShow.php
U templates/barebones-css-mobile/templates/spSearchBlogView.php
U templates/barebones-css-mobile/templates/spSearchListView.php
U templates/barebones-css-mobile/templates/spSearchView.php
U templates/reboot/styles/sp-pm.spcss
U templates/reboot/templates/spFoot.php
U templates/reboot/templates/spForumView.php
U templates/reboot/templates/spFunctions.php
U templates/reboot/templates/spGroupView.php
U templates/reboot/templates/spHead.php
U templates/reboot/templates/spListView.php
U templates/reboot/templates/spMembersView.php
U templates/reboot/templates/spPMFoot.php
U templates/reboot/templates/spPMHead.php
U templates/reboot/templates/spPMMessagesView.php
U templates/reboot/templates/spPMThreadsView.php
U templates/reboot/templates/spProfileEdit.php
U templates/reboot/templates/spSearchView.php
U templates/reboot/templates/spTopicView.php
U templates/reboot-child/templates/spFoot.php
U templates/reboot-child/templates/spForumView.php
U templates/reboot-child/templates/spGroupView.php
U templates/reboot-child/templates/spHead.php
U templates/reboot-child/templates/spListView.php
U templates/reboot-child/templates/spMembersView.php
U templates/reboot-child/templates/spTopicView.php
U templates/sp-reboot/templates/mobile/spGroupViewMobile.php
U templates/sp-reboot/templates/spCommentView.php
U templates/sp-reboot/templates/spFoot.php
U templates/sp-reboot/templates/spForumView.php
U templates/sp-reboot/templates/spGroupView.php
U templates/sp-reboot/templates/spHead.php
U templates/sp-reboot/templates/spListView.php
U templates/sp-reboot/templates/spMembersView.php
U templates/sp-reboot/templates/spTopicView.php
U templates/unified/styles/sp-pm.spcss
U templates/unified/templates/spFoot.php
U templates/unified/templates/spForumView.php
U templates/unified/templates/spFunctions.php
U templates/unified/templates/spGroupView.php
U templates/unified/templates/spHead.php
U templates/unified/templates/spListView.php
U templates/unified/templates/spMembersView.php
U templates/unified/templates/spProfileEdit.php
U templates/unified/templates/spSearchView.php
U templates/unified/templates/spTopicView.php

 Differences:

 http://websvn.simple-press.com/revision.php?repname=Simple:Press&path=%2F&rev=14912
svn

svn

2016-12-27 00:46

administrator   ~0018907

Changeset [14913] by steve on 2016-12-26 19:46:52 -0500 (Mon, 26 Dec 2016)

see issue 0005690 phase 1 - push "global" variables down to proper class level. phase 2 will see if it makes sense to change to getter/setter methods.

 Changed Files:

U plugins/commenter/sp-commenter-plugin.php
U plugins/polls/library/sp-polls-components.php
U plugins/search/template-tags/sp-search-widget.php
U plugins/syntax-highlighting/sp-syntax-plugin.php
U plugins/tinymce-richtext/sp-tinymce-plugin.php

 Differences:

 http://websvn.simple-press.com/revision.php?repname=Simple:Press&path=%2F&rev=14913
svn

svn

2016-12-27 00:47

administrator   ~0018908

Changeset [14914] by steve on 2016-12-26 19:47:15 -0500 (Mon, 26 Dec 2016)

see issue 0005690 phase 1 - push "global" variables down to proper class level. phase 2 will see if it makes sense to change to getter/setter methods.

 Changed Files:

U trunk/forum/profile/ajax/sp-ajax-profile.php
U trunk/sp-api/sp-api-class-spcnotifications.php
U trunk/sp-control.php
U trunk/sp-startup/admin/spa-admin-framework.php
U trunk/sp-startup/core/sp-core-ajax.php
U trunk/sp-startup/forum/sp-forum-framework.php
U trunk/sp-startup/forum/sp-forum-support-functions.php
U trunk/sp-startup/site/sp-site-support-functions.php
U trunk/sp-startup/sp-load-class-spccoreloader.php

 Differences:

 http://websvn.simple-press.com/revision.php?repname=Simple:Press&path=%2F&rev=14914
svn

svn

2016-12-27 05:28

administrator   ~0018909

Changeset [14915] by steve on 2016-12-27 00:28:33 -0500 (Tue, 27 Dec 2016)

see issue 0005690 phase 1 - push "global" variables down to proper class level. phase 2 will see if it makes sense to change to getter/setter methods.

 Changed Files:

U trunk/admin/help/admin/panels/admin-toolbox.en
U trunk/admin/library/spa-support.php
U trunk/admin/panel-admins/forms/spa-admins-manage-admins-form.php
U trunk/admin/panel-forums/support/spa-forums-save.php
U trunk/admin/panel-permissions/forms/spa-permissions-add-permission-form.php
U trunk/admin/panel-permissions/forms/spa-permissions-edit-permission-form.php
U trunk/admin/panel-permissions/support/spa-permissions-save.php
U trunk/admin/panel-toolbox/forms/spa-toolbox-inspector-form.php
U trunk/admin/panel-toolbox/support/spa-toolbox-prepare.php
U trunk/admin/panel-toolbox/support/spa-toolbox-save.php
U trunk/forum/content/ajax/sp-ajax-permissions.php
U trunk/forum/content/classes/sp-forum-view-class.php
U trunk/forum/content/classes/sp-group-view-class.php
U trunk/forum/content/classes/sp-list-post-class.php
U trunk/forum/content/classes/sp-list-topic-class.php
U trunk/forum/content/classes/sp-member-view-class.php
U trunk/forum/content/classes/sp-search-view-class.php
U trunk/forum/content/classes/sp-topic-view-class.php
U trunk/forum/content/forms/sp-form-components.php
U trunk/forum/content/forms/sp-form-login.php
U trunk/forum/content/forms/sp-form-post-edit.php
U trunk/forum/content/forms/sp-form-post.php
U trunk/forum/content/forms/sp-form-search.php
U trunk/forum/content/forms/sp-form-topic.php
U trunk/forum/content/sp-common-view-functions.php
U trunk/forum/content/sp-forms.php
U trunk/forum/content/sp-forum-view-functions.php
U trunk/forum/content/sp-group-view-functions.php
U trunk/forum/content/sp-member-view-functions.php
U trunk/forum/content/sp-profile-view-functions.php
U trunk/forum/content/sp-search-view-functions.php
U trunk/forum/content/sp-template-control.php
U trunk/forum/content/sp-topic-view-functions.php
U trunk/forum/database/sp-db-management.php
U trunk/forum/database/sp-db-statistics.php
U trunk/forum/feeds/sp-feeds.php
U trunk/forum/library/sp-forum-support.php
U trunk/forum/library/sp-search.php
U trunk/forum/profile/ajax/sp-ajax-profile-save.php
U trunk/forum/profile/ajax/sp-ajax-profile.php
U trunk/forum/profile/forms/sp-form-display-options.php
U trunk/sp-api/sp-api-class-spcactivity.php
U trunk/sp-api/sp-api-class-spcauths.php
U trunk/sp-api/sp-api-class-spcdb.php
U trunk/sp-api/sp-api-class-spcmeta.php
U trunk/sp-api/sp-api-class-spcpost.php
U trunk/sp-api/sp-api-class-spcuser.php
U trunk/sp-api/sp-api-common-display.php
U trunk/sp-api/sp-api-filters.php
U trunk/sp-api/sp-api-globals.php
U trunk/sp-api/sp-api-kses.php
U trunk/sp-api/sp-api-permalinks.php
U trunk/sp-api/sp-api-plugins.php
U trunk/sp-api/sp-api-primitives.php
U trunk/sp-control.php
U trunk/sp-startup/admin/spa-admin-framework.php
U trunk/sp-startup/admin/spa-admin-notice.php
U trunk/sp-startup/admin/spa-admin-support-functions.php
U trunk/sp-startup/core/sp-core-support-functions.php
U trunk/sp-startup/forum/sp-forum-framework.php
U trunk/sp-startup/forum/sp-forum-support-functions.php
U trunk/sp-startup/install/sp-upgrade-support.php
U trunk/sp-startup/site/sp-site-support-functions.php
U trunk/sp-startup/sp-load-class-spccoreloader.php

 Differences:

 http://websvn.simple-press.com/revision.php?repname=Simple:Press&path=%2F&rev=14915
svn

svn

2016-12-27 05:29

administrator   ~0018910

Changeset [14916] by steve on 2016-12-27 00:29:09 -0500 (Tue, 27 Dec 2016)

see issue 0005690 phase 1 - push "global" variables down to proper class level. phase 2 will see if it makes sense to change to getter/setter methods.

 Changed Files:

U plugins/admin-bar/library/sp-admin-bar-components.php
U plugins/admin-bar/sp-admin-bar-uninstall.php
U plugins/anonymous/sp-anonymous-plugin.php
U plugins/answers-topic/template-tags/sp-answers-topic-answers-button.php
U plugins/ban/library/sp-ban-components.php
U plugins/ban/sp-ban-plugin.php
U plugins/blog-linking/library/sp-linking-support.php
U plugins/captcha/sp-captcha-plugin.php
U plugins/commenter/sp-commenter-plugin.php
U plugins/custom-profile-fields/library/sp-custom-profile-fields-components.php
U plugins/featured/library/sp-featured-components.php
U plugins/hide-poster/library/sp-hide-poster-components.php
U plugins/hide-poster/sp-hide-poster-uninstall.php
U plugins/identities/library/sp-identities-components.php
U plugins/keywords/library/sp-keywords-components.php
U plugins/logger/sp-logger-plugin.php
U plugins/mentions/library/sp-mentions-components.php
U plugins/online/library/sp-online-components.php
U plugins/online/sp-online-plugin.php
U plugins/plupload/library/sp-plupload-components.php
U plugins/plupload/library/sp-plupload-forms.php
U plugins/plupload/sp-plupload-plugin.php
U plugins/plupload/sp-plupload-uninstall.php
U plugins/policy-doc/sp-policy-doc-plugin.php
U plugins/policy-doc/template-tags/sp-policy-doc-policy-link-tag.php
U plugins/policy-doc/template-tags/sp-policy-doc-privacy-link-tag.php
U plugins/polls/ajax/sp-polls-ajax-manage.php
U plugins/polls/library/sp-polls-components.php
U plugins/polls/sp-polls-uninstall.php
U plugins/post-as/sp-post-as-uninstall.php
U plugins/post-by-email/library/sp-email-post-process.php
U plugins/post-multiple/library/sp-post-multiple-components.php
U plugins/post-multiple/sp-post-multiple-plugin.php
U plugins/post-multiple/sp-post-multiple-uninstall.php
U plugins/post-preview/ajax/sp-ajax-preview.php
U plugins/post-preview/sp-preview-plugin.php
U plugins/post-rating/sp-rating-uninstall.php
U plugins/post-rating/template-tags/sp-rating-topic-rating.php
U plugins/print-topic/sp-print-plugin.php
U plugins/print-topic/template-files/spTopicPrintView.php
U plugins/private-messaging/ajax/sp-pm-ajax-post.php
U plugins/private-messaging/library/sp-pm-components.php
U plugins/private-messaging/library/sp-pm-messages-class.php
U plugins/private-messaging/library/sp-pm-template-functions.php
U plugins/private-messaging/library/sp-pm-threads-class.php
U plugins/private-messaging/sp-pm-plugin.php
U plugins/private-messaging/sp-pm-uninstall.php
U plugins/private-messaging/template-files/spPMFoot.php
U plugins/private-messaging/template-files/spPMMessagesView.php
U plugins/private-messaging/template-tags/sp-pm-pmview-tag.php
U plugins/private-messaging/template-tags/sp-pm-sidedash-tag.php
U plugins/private-posts/library/sp-private-posts-components.php
U plugins/rank-info/sp-rank-info-plugin.php
U plugins/report-post/library/sp-report-post-components.php
U plugins/report-post/sp-report-post-plugin.php
U plugins/reputation/library/sp-reputation-components.php
U plugins/search/classes/sp-search-blog-view-class.php
U plugins/search/library/sp-search-components.php
U plugins/search/sp-search-plugin.php
U plugins/search/template-tags/sp-search-template-functions.php
U plugins/search-by-user/library/sp-search-by-user-components.php
U plugins/search-by-user/sp-search-by-user-plugin.php
U plugins/share-this/template-tags/sp-share-this-forum-tag.php
U plugins/share-this/template-tags/sp-share-this-topic-tag.php
U plugins/subscriptions/library/sp-subscriptions-components.php
U plugins/subscriptions/sp-subscriptions-plugin.php
U plugins/subscriptions/sp-subscriptions-uninstall.php
U plugins/subscriptions/template-tags/sp-subscriptions-forum-index-icon-tag.php
U plugins/subscriptions/template-tags/sp-subscriptions-review-button-tag.php
U plugins/subscriptions/template-tags/sp-subscriptions-subscribe-button-tag.php
U plugins/subscriptions/template-tags/sp-subscriptions-subscribe-forum-button-tag.php
U plugins/syntax-highlighting/sp-syntax-plugin.php
U plugins/tags/library/sp-tags-components.php
U plugins/tags/library/sp-tags-database.php
U plugins/tags/sp-tags-plugin.php
U plugins/template-tags/library/sp-SideDash-tag.php
U plugins/threading/ajax/sp-threading-ajax-move.php
U plugins/threading/template-tags/sp-threading-tags.php
U plugins/tinymce-richtext/library/sp-tinymce-init.php
U plugins/tinymce-richtext/sp-tinymce-plugin.php
U plugins/topic-description/sp-topic-description-plugin.php
U plugins/topic-expire/library/sp-topic-expire-components.php
U plugins/topic-expire/sp-topic-expire-plugin.php
U plugins/topic-expire/sp-topic-expire-uninstall.php
U plugins/topic-status/library/sp-topicstatus-support.php
U plugins/topic-status/sp-topicstatus-plugin.php
U plugins/unanswered/sp-unanswered-plugin.php
U plugins/user-selection/template-tags/sp-user-selection-tags.php
U plugins/warnings-suspensions/library/sp-warnings-suspensions-components.php
U plugins/watches/sp-watches-plugin.php
U plugins/watches/sp-watches-uninstall.php
U plugins/watches/template-tags/sp-watches-review-button-tag.php
U plugins/watches/template-tags/sp-watches-watch-button-tag.php

 Differences:

 http://websvn.simple-press.com/revision.php?repname=Simple:Press&path=%2F&rev=14916
svn

svn

2016-12-27 05:29

administrator   ~0018911

Changeset [14917] by steve on 2016-12-27 00:29:37 -0500 (Tue, 27 Dec 2016)

see issue 0005690 phase 1 - push "global" variables down to proper class level. phase 2 will see if it makes sense to change to getter/setter methods.

 Changed Files:

U templates/barebones/templates/desktop/spHeadDesktop.php
U templates/barebones/templates/mobile/spHeadMobile.php
U templates/barebones/templates/spDefault.php
U templates/barebones/templates/spPMFoot.php
U templates/barebones/templates/spPMMessagesView.php
U templates/barebones-css-desktop/templates/spDefault.php
U templates/barebones-css-desktop/templates/spHead.php
U templates/barebones-css-desktop/templates/spPMMessagesView.php
U templates/barebones-css-mobile/templates/spDefault.php
U templates/barebones-css-mobile/templates/spHead.php
U templates/barebones-css-mobile/templates/spPMFoot.php
U templates/barebones-css-mobile/templates/spPMMessagesView.php
U templates/css-only/templates/spDefault.php
U templates/default/templates/spDefault.php
U templates/iForum/templates/spDefault.php
U templates/iForum/templates/spGroupView.php
U templates/reboot/templates/desktop/spHeadDesktop.php
U templates/reboot/templates/spDefault.php
U templates/reboot/templates/spPMFoot.php
U templates/reboot/templates/spPMMessagesView.php
U templates/stacked/templates/spDefault.php
U templates/unified/templates/spDefault.php
U templates/unified/templates/spFoot.php

 Differences:

 http://websvn.simple-press.com/revision.php?repname=Simple:Press&path=%2F&rev=14917
svn

svn

2016-12-28 19:55

administrator   ~0018923

Changeset [14926] by steve on 2016-12-28 14:55:00 -0500 (Wed, 28 Dec 2016)

see issue 0005690 get rid of globals file

 Changed Files:

D trunk/sp-api/sp-api-globals.php
U trunk/sp-startup/core/sp-core-support-functions.php
U trunk/sp-startup/sp-load-class-spccoreloader.php

 Differences:

 http://websvn.simple-press.com/revision.php?repname=Simple:Press&path=%2F&rev=14926
svn

svn

2016-12-28 23:17

administrator   ~0018925

Changeset [14928] by steve on 2016-12-28 18:17:19 -0500 (Wed, 28 Dec 2016)

see issue 0005690 reorganize loader classes and when we instantiate main class objects

 Changed Files:

U trunk/admin/library/spa-support.php
U trunk/admin/panel-admins/ajax/spa-ajax-admins-loader.php
U trunk/admin/panel-admins/forms/spa-admins-manage-admins-form.php
U trunk/admin/panel-admins/spa-admins.php
U trunk/admin/panel-components/ajax/spa-ajax-components-loader.php
U trunk/admin/panel-components/ajax/spa-ajax-components.php
U trunk/admin/panel-components/forms/spa-components-forumranks-form.php
U trunk/admin/panel-components/forms/spa-components-smileys-form.php
U trunk/admin/panel-components/forms/spa-components-special-ranks-form.php
U trunk/admin/panel-components/spa-components.php
U trunk/admin/panel-components/support/spa-components-prepare.php
U trunk/admin/panel-components/support/spa-components-save.php
U trunk/admin/panel-forums/ajax/spa-ajax-forums-loader.php
U trunk/admin/panel-forums/ajax/spa-ajax-forums.php
U trunk/admin/panel-forums/forms/spa-forums-create-forum-form.php
U trunk/admin/panel-forums/forms/spa-forums-create-group-form.php
U trunk/admin/panel-forums/forms/spa-forums-custom-icons-form.php
U trunk/admin/panel-forums/forms/spa-forums-edit-forum-form.php
U trunk/admin/panel-forums/forms/spa-forums-edit-group-form.php
U trunk/admin/panel-forums/forms/spa-forums-featured-image-form.php
U trunk/admin/panel-forums/spa-forums.php
U trunk/admin/panel-forums/support/spa-forums-prepare.php
U trunk/admin/panel-forums/support/spa-forums-save.php
U trunk/admin/panel-integration/ajax/spa-ajax-integration-langs.php
U trunk/admin/panel-integration/ajax/spa-ajax-integration-loader.php
U trunk/admin/panel-integration/forms/spa-integration-language-form.php
U trunk/admin/panel-integration/forms/spa-integration-storage-form.php
U trunk/admin/panel-integration/spa-integration.php
U trunk/admin/panel-options/ajax/spa-ajax-options-loader.php
U trunk/admin/panel-options/spa-options.php
U trunk/admin/panel-permissions/ajax/spa-ajax-permissions-loader.php
U trunk/admin/panel-permissions/forms/spa-permissions-add-permission-form.php
U trunk/admin/panel-permissions/forms/spa-permissions-edit-permission-form.php
U trunk/admin/panel-permissions/spa-permissions.php
U trunk/admin/panel-permissions/support/spa-permissions-save.php
U trunk/admin/panel-plugins/ajax/spa-ajax-plugins-loader.php
U trunk/admin/panel-plugins/forms/spa-plugins-list-form.php
U trunk/admin/panel-plugins/spa-plugins.php
U trunk/admin/panel-profiles/ajax/spa-ajax-profiles-loader.php
U trunk/admin/panel-profiles/ajax/spa-ajax-profiles.php
U trunk/admin/panel-profiles/forms/spa-profiles-avatars-form.php
U trunk/admin/panel-profiles/forms/spa-profiles-avatars-pool-form.php
U trunk/admin/panel-profiles/spa-profiles.php
U trunk/admin/panel-profiles/support/spa-profiles-prepare.php
U trunk/admin/panel-profiles/support/spa-profiles-save.php
U trunk/admin/panel-themes/ajax/spa-ajax-themes-loader.php
U trunk/admin/panel-themes/forms/spa-themes-list-form.php
U trunk/admin/panel-themes/forms/spa-themes-mobile-form.php
U trunk/admin/panel-themes/forms/spa-themes-tablet-form.php
U trunk/admin/panel-themes/spa-themes.php
U trunk/admin/panel-toolbox/ajax/spa-ajax-install-log.php
U trunk/admin/panel-toolbox/ajax/spa-ajax-toolbox-loader.php
U trunk/admin/panel-toolbox/spa-toolbox.php
U trunk/admin/panel-usergroups/ajax/spa-ajax-usergroups-loader.php
U trunk/admin/panel-usergroups/forms/spa-usergroups-create-usergroup-form.php
U trunk/admin/panel-usergroups/forms/spa-usergroups-edit-usergroup-form.php
U trunk/admin/panel-usergroups/spa-usergroups-display-main.php
U trunk/admin/panel-usergroups/spa-usergroups.php
U trunk/admin/panel-users/ajax/spa-ajax-users-loader.php
U trunk/admin/panel-users/spa-users.php
U trunk/forum/content/ajax/sp-ajax-permissions.php
U trunk/forum/content/classes/sp-forum-view-class.php
U trunk/forum/content/classes/sp-group-view-class.php
U trunk/forum/content/classes/sp-list-post-class.php
U trunk/forum/content/classes/sp-list-topic-class.php
U trunk/forum/content/classes/sp-member-view-class.php
U trunk/forum/content/classes/sp-search-view-class.php
U trunk/forum/content/classes/sp-topic-view-class.php
U trunk/forum/content/forms/sp-form-components.php
U trunk/forum/content/forms/sp-form-login.php
U trunk/forum/content/forms/sp-form-post.php
U trunk/forum/content/forms/sp-form-search.php
U trunk/forum/content/forms/sp-form-topic.php
U trunk/forum/content/sp-common-view-functions.php
U trunk/forum/content/sp-forms.php
U trunk/forum/content/sp-forum-view-functions.php
U trunk/forum/content/sp-group-view-functions.php
U trunk/forum/content/sp-member-view-functions.php
U trunk/forum/content/sp-profile-view-functions.php
U trunk/forum/content/sp-search-view-functions.php
U trunk/forum/content/sp-template-control.php
U trunk/forum/content/sp-topic-view-functions.php
U trunk/forum/database/sp-db-management.php
U trunk/forum/database/sp-db-statistics.php
U trunk/forum/feeds/sp-feeds.php
U trunk/forum/library/sp-forum-support.php
U trunk/forum/profile/ajax/sp-ajax-profile-save.php
U trunk/forum/profile/ajax/sp-ajax-profile.php
U trunk/forum/profile/forms/sp-form-avatar.php
U trunk/forum/profile/forms/sp-form-display-options.php
U trunk/sp-api/sp-api-class-spcactivity.php
U trunk/sp-api/sp-api-class-spcauths.php
U trunk/sp-api/sp-api-class-spccache.php
U trunk/sp-api/sp-api-class-spcdb.php
U trunk/sp-api/sp-api-class-spcerror.php
U trunk/sp-api/sp-api-class-spcmemberdata.php
U trunk/sp-api/sp-api-class-spcmeta.php
U trunk/sp-api/sp-api-class-spcnotifications.php
U trunk/sp-api/sp-api-class-spcpost.php
U trunk/sp-api/sp-api-class-spcuser.php
U trunk/sp-api/sp-api-common-display.php
U trunk/sp-api/sp-api-filters.php
U trunk/sp-api/sp-api-kses.php
U trunk/sp-api/sp-api-permalinks.php
U trunk/sp-api/sp-api-plugins.php
U trunk/sp-api/sp-api-primitives.php
U trunk/sp-control.php
U trunk/sp-startup/admin/spa-admin-constants.php
U trunk/sp-startup/admin/spa-admin-framework.php
U trunk/sp-startup/admin/spa-admin-menu.php
U trunk/sp-startup/admin/spa-admin-notice.php
U trunk/sp-startup/admin/spa-admin-support-functions.php
U trunk/sp-startup/admin/spa-admin-updater.php
U trunk/sp-startup/core/sp-core-constants.php
U trunk/sp-startup/core/sp-core-support-functions.php
U trunk/sp-startup/forum/sp-forum-constants.php
U trunk/sp-startup/forum/sp-forum-framework.php
U trunk/sp-startup/forum/sp-forum-support-functions.php
U trunk/sp-startup/site/sp-site-constants.php
U trunk/sp-startup/site/sp-site-support-functions.php
U trunk/sp-startup/sp-load-class-spcadmincoreloader.php
U trunk/sp-startup/sp-load-class-spcadminloader.php
U trunk/sp-startup/sp-load-class-spccoreloader.php
U trunk/sp-startup/sp-load-class-spcforumloader.php
U trunk/sp-startup/sp-load-class-spcsiteloader.php

 Differences:

 http://websvn.simple-press.com/revision.php?repname=Simple:Press&path=%2F&rev=14928
svn

svn

2016-12-28 23:18

administrator   ~0018926

Changeset [14929] by steve on 2016-12-28 18:18:09 -0500 (Wed, 28 Dec 2016)

see issue 0005690 reorganize loader classes and when we instantiate main class objects

 Changed Files:

U plugins/admin-bar/library/sp-admin-bar-components.php
U plugins/admin-bar/sp-admin-bar-uninstall.php
U plugins/admin-bar/template-tags/sp-admin-bar-links-tag.php
U plugins/anonymous/sp-anonymous-plugin.php
U plugins/answers-topic/template-tags/sp-answers-topic-answers-button.php
U plugins/answers-topic/template-tags/sp-answers-topic-see-answer.php
U plugins/ban/library/sp-ban-components.php
U plugins/ban/sp-ban-plugin.php
U plugins/blog-linking/forms/sp-linking-form.php
U plugins/blog-linking/library/sp-linking-support.php
U plugins/blog-linking/sp-linking-plugin.php
U plugins/captcha/sp-captcha-plugin.php
U plugins/commenter/library/sp-commenter-load-forum.php
U plugins/commenter/sp-commenter-plugin.php
U plugins/commenter/template-files/barebones/spCommentView.php
U plugins/commenter/template-files/reboot/spCommentView.php
U plugins/commenter/template-files/unified/spCommentView.php
U plugins/custom-profile-fields/library/sp-custom-profile-fields-components.php
U plugins/emoji/sp-emoji-plugin.php
U plugins/featured/library/sp-featured-components.php
U plugins/gravatar-cache/sp-gravatar-cache-plugin.php
U plugins/gravatar-cache/sp-gravatar-cache-uninstall.php
U plugins/hide-poster/library/sp-hide-poster-components.php
U plugins/hide-poster/sp-hide-poster-uninstall.php
U plugins/identities/library/sp-identities-components.php
U plugins/identities/sp-identities-uninstall.php
U plugins/keywords/library/sp-keywords-components.php
U plugins/logger/sp-logger-plugin.php
U plugins/mentions/library/sp-mentions-components.php
U plugins/online/library/sp-online-components.php
U plugins/online/sp-online-plugin.php
U plugins/plupload/library/sp-plupload-components.php
U plugins/plupload/library/sp-plupload-forms.php
U plugins/plupload/sp-plupload-plugin.php
U plugins/plupload/sp-plupload-uninstall.php
U plugins/policy-doc/sp-policy-doc-plugin.php
U plugins/policy-doc/sp-policy-doc-uninstall.php
U plugins/policy-doc/template-tags/sp-policy-doc-policy-link-tag.php
U plugins/policy-doc/template-tags/sp-policy-doc-privacy-link-tag.php
U plugins/polls/ajax/sp-polls-ajax-manage.php
U plugins/polls/library/sp-polls-components.php
U plugins/polls/sp-polls-uninstall.php
U plugins/post-as/sp-post-as-uninstall.php
U plugins/post-by-email/library/sp-email-post-process.php
U plugins/post-multiple/library/sp-post-multiple-components.php
U plugins/post-multiple/sp-post-multiple-plugin.php
U plugins/post-multiple/sp-post-multiple-uninstall.php
U plugins/post-preview/ajax/sp-ajax-preview.php
U plugins/post-preview/sp-preview-plugin.php
U plugins/post-rating/sp-rating-uninstall.php
U plugins/post-rating/template-tags/sp-rating-topic-rating.php
U plugins/print-topic/sp-print-plugin.php
U plugins/print-topic/template-files/spTopicPrintView.php
U plugins/private-messaging/ajax/sp-pm-ajax-post.php
U plugins/private-messaging/forms/sp-pm-compose-form.php
U plugins/private-messaging/library/sp-pm-components.php
U plugins/private-messaging/library/sp-pm-messages-class.php
U plugins/private-messaging/library/sp-pm-template-functions.php
U plugins/private-messaging/library/sp-pm-threads-class.php
U plugins/private-messaging/sp-pm-plugin.php
U plugins/private-messaging/sp-pm-uninstall.php
U plugins/private-messaging/template-files/spPMFoot.php
U plugins/private-messaging/template-files/spPMHead.php
U plugins/private-messaging/template-files/spPMMessagesView.php
U plugins/private-messaging/template-files/spPMThreadsView.php
U plugins/private-messaging/template-tags/sp-pm-pmview-tag.php
U plugins/private-messaging/template-tags/sp-pm-sidedash-tag.php
U plugins/private-posts/library/sp-private-posts-components.php
U plugins/rank-info/sp-rank-info-plugin.php
U plugins/report-post/library/sp-report-post-components.php
U plugins/report-post/sp-report-post-plugin.php
U plugins/report-post/template-tags/sp-report-post-tag.php
U plugins/reputation/admin/sp-reputation-admin-levels.php
U plugins/reputation/ajax/sp-reputation-ajax-manage.php
U plugins/reputation/library/sp-reputation-components.php
U plugins/reputation/sp-reputation-uninstall.php
U plugins/search/classes/sp-search-blog-view-class.php
U plugins/search/library/sp-search-components.php
U plugins/search/template-files/spSearchBlogView.php
U plugins/search/template-tags/sp-search-template-functions.php
U plugins/search-by-user/library/sp-search-by-user-components.php
U plugins/share-this/template-tags/sp-share-this-forum-tag.php
U plugins/share-this/template-tags/sp-share-this-topic-tag.php
U plugins/subscriptions/library/sp-subscriptions-components.php
U plugins/subscriptions/sp-subscriptions-plugin.php
U plugins/subscriptions/sp-subscriptions-uninstall.php
U plugins/subscriptions/template-tags/sp-subscriptions-forum-index-icon-tag.php
U plugins/subscriptions/template-tags/sp-subscriptions-review-button-tag.php
U plugins/subscriptions/template-tags/sp-subscriptions-subscribe-button-tag.php
U plugins/subscriptions/template-tags/sp-subscriptions-subscribe-forum-button-tag.php
U plugins/syntax-highlighting/sp-syntax-plugin.php
U plugins/tags/library/sp-tags-components.php
U plugins/tags/library/sp-tags-database.php
U plugins/tags/sp-tags-plugin.php
U plugins/tags/template-tags/sp-tags-forum-tags-tag.php
U plugins/tags/template-tags/sp-tags-related-topics-button-tag.php
U plugins/template-tags/library/sp-ShowUserGroups-tag.php
U plugins/template-tags/library/sp-SideDash-tag.php
U plugins/threading/ajax/sp-threading-ajax-move.php
U plugins/threading/library/sp-threading-components.php
U plugins/threading/template-tags/sp-threading-tags.php
U plugins/tinymce-richtext/library/sp-tinymce-init.php
U plugins/tinymce-richtext/sp-tinymce-plugin.php
U plugins/topic-expire/library/sp-topic-expire-components.php
U plugins/topic-expire/sp-topic-expire-plugin.php
U plugins/topic-expire/sp-topic-expire-uninstall.php
U plugins/topic-status/library/sp-topicstatus-support.php
U plugins/topic-status/template-tags/sp-topicstatus-template-tags.php
U plugins/unanswered/sp-unanswered-plugin.php
U plugins/uploads-viewer/ajax/sp-uploads-viewer-ajax-view.php
U plugins/user-selection/sp-user-selection-plugin.php
U plugins/user-selection/template-tags/sp-user-selection-tags.php
U plugins/warnings-suspensions/library/sp-warnings-suspensions-components.php
U plugins/watches/library/sp-watches-components.php
U plugins/watches/sp-watches-plugin.php
U plugins/watches/sp-watches-uninstall.php
U plugins/watches/template-tags/sp-watches-review-button-tag.php
U plugins/watches/template-tags/sp-watches-watch-button-tag.php

 Differences:

 http://websvn.simple-press.com/revision.php?repname=Simple:Press&path=%2F&rev=14929
svn

svn

2016-12-28 23:18

administrator   ~0018927

Changeset [14930] by steve on 2016-12-28 18:18:39 -0500 (Wed, 28 Dec 2016)

see issue 0005690 reorganize loader classes and when we instantiate main class objects

 Changed Files:

U templates/barebones/templates/desktop/spHeadDesktop.php
U templates/barebones/templates/mobile/spHeadMobile.php
U templates/barebones/templates/spDefault.php
U templates/barebones/templates/spFoot.php
U templates/barebones/templates/spForumView.php
U templates/barebones/templates/spFunctions.php
U templates/barebones/templates/spGroupView.php
U templates/barebones/templates/spHead.php
U templates/barebones/templates/spListView.php
U templates/barebones/templates/spMembersView.php
U templates/barebones/templates/spPMFoot.php
U templates/barebones/templates/spPMHead.php
U templates/barebones/templates/spPMMessagesView.php
U templates/barebones/templates/spPMThreadsView.php
U templates/barebones/templates/spProfileEdit.php
U templates/barebones/templates/spProfileShow.php
U templates/barebones/templates/spSearchBlogView.php
U templates/barebones/templates/spSearchListView.php
U templates/barebones/templates/spSearchView.php
U templates/barebones/templates/spTopicView.php
U templates/barebones-css-desktop/templates/spDefault.php
U templates/barebones-css-desktop/templates/spHead.php
U templates/barebones-css-desktop/templates/spPMMessagesView.php
U templates/barebones-css-desktop/templates/spProfileEdit.php
U templates/barebones-css-desktop/templates/spProfileShow.php
U templates/barebones-css-desktop/templates/spSearchBlogView.php
U templates/barebones-css-desktop/templates/spSearchListView.php
U templates/barebones-css-desktop/templates/spSearchView.php
U templates/barebones-css-mobile/templates/spDefault.php
U templates/barebones-css-mobile/templates/spFunctions.php
U templates/barebones-css-mobile/templates/spHead.php
U templates/barebones-css-mobile/templates/spPMFoot.php
U templates/barebones-css-mobile/templates/spPMMessagesView.php
U templates/barebones-css-mobile/templates/spProfileEdit.php
U templates/barebones-css-mobile/templates/spProfileShow.php
U templates/barebones-css-mobile/templates/spSearchBlogView.php
U templates/barebones-css-mobile/templates/spSearchListView.php
U templates/barebones-css-mobile/templates/spSearchView.php
U templates/css-only/templates/spDefault.php
U templates/default/templates/spDefault.php
U templates/iForum/templates/spDefault.php
U templates/iForum/templates/spGroupView.php
U templates/reboot/styles/sp-pm.spcss
U templates/reboot/templates/desktop/spHeadDesktop.php
U templates/reboot/templates/spDefault.php
U templates/reboot/templates/spFoot.php
U templates/reboot/templates/spForumView.php
U templates/reboot/templates/spFunctions.php
U templates/reboot/templates/spGroupView.php
U templates/reboot/templates/spHead.php
U templates/reboot/templates/spListView.php
U templates/reboot/templates/spMembersView.php
U templates/reboot/templates/spPMFoot.php
U templates/reboot/templates/spPMHead.php
U templates/reboot/templates/spPMMessagesView.php
U templates/reboot/templates/spPMThreadsView.php
U templates/reboot/templates/spProfileEdit.php
U templates/reboot/templates/spSearchView.php
U templates/reboot/templates/spTopicView.php
U templates/reboot-child/templates/spFoot.php
U templates/reboot-child/templates/spForumView.php
U templates/reboot-child/templates/spGroupView.php
U templates/reboot-child/templates/spHead.php
U templates/reboot-child/templates/spListView.php
U templates/reboot-child/templates/spMembersView.php
U templates/reboot-child/templates/spTopicView.php
U templates/sp-reboot/templates/mobile/spGroupViewMobile.php
U templates/sp-reboot/templates/spCommentView.php
U templates/sp-reboot/templates/spFoot.php
U templates/sp-reboot/templates/spForumView.php
U templates/sp-reboot/templates/spGroupView.php
U templates/sp-reboot/templates/spHead.php
U templates/sp-reboot/templates/spListView.php
U templates/sp-reboot/templates/spMembersView.php
U templates/sp-reboot/templates/spTopicView.php
U templates/stacked/templates/spDefault.php
U templates/unified/styles/sp-pm.spcss
U templates/unified/templates/spDefault.php
U templates/unified/templates/spFoot.php
U templates/unified/templates/spForumView.php
U templates/unified/templates/spFunctions.php
U templates/unified/templates/spGroupView.php
U templates/unified/templates/spHead.php
U templates/unified/templates/spListView.php
U templates/unified/templates/spMembersView.php
U templates/unified/templates/spProfileEdit.php
U templates/unified/templates/spSearchView.php
U templates/unified/templates/spTopicView.php

 Differences:

 http://websvn.simple-press.com/revision.php?repname=Simple:Press&path=%2F&rev=14930
svn

svn

2016-12-30 05:47

administrator   ~0018951

Changeset [14955] by steve on 2016-12-30 00:47:24 -0500 (Fri, 30 Dec 2016)

see issue 0005690 get install working (minimally)

 Changed Files:

U trunk/admin/panel-integration/ajax/spa-ajax-integration-perm.php
U trunk/admin/panel-integration/support/spa-integration-save.php
U trunk/sp-api/sp-api-class-spcdb.php
U trunk/sp-api/sp-api-class-spcmeta.php
U trunk/sp-api/sp-api-class-spcoptions.php
U trunk/sp-api/sp-api-class-spcpermalinks.php
U trunk/sp-startup/admin/spa-admin-support-functions.php
U trunk/sp-startup/install/resources/objects/sql/sp-sample-install.php
U trunk/sp-startup/install/sp-install.php
U trunk/sp-startup/site/sp-site-support-functions.php
U trunk/sp-startup/sp-load-class-spccoreloader.php

 Differences:

 http://websvn.simple-press.com/revision.php?repname=Simple:Press&path=%2F&rev=14955
svn

svn

2016-12-30 05:48

administrator   ~0018952

Changeset [14956] by steve on 2016-12-30 00:48:06 -0500 (Fri, 30 Dec 2016)

see issue 0005690 get install working (minimally)

 Changed Files:

U plugins/online/sp-online-uninstall.php
U plugins/policy-doc/sp-policy-doc-uninstall.php
U plugins/print-topic/sp-print-uninstall.php
U plugins/private-messaging/sp-pm-uninstall.php
U plugins/report-post/sp-report-post-uninstall.php
U plugins/unanswered/sp-unanswered-uninstall.php

 Differences:

 http://websvn.simple-press.com/revision.php?repname=Simple:Press&path=%2F&rev=14956
svn

svn

2017-01-02 20:19

administrator   ~0018986

Changeset [14980] by steve on 2017-01-02 15:19:24 -0500 (Mon, 02 Jan 2017)

see issue 0005690 fix meta class adding new meta when exists for cache (plus couple other cleanups)

 Changed Files:

U trunk/sp-api/sp-api-class-spcmeta.php
U trunk/sp-startup/admin/spa-admin-updater.php
U trunk/sp-startup/core/sp-core-constants.php
U trunk/sp-startup/forum/sp-forum-support-functions.php
U trunk/sp-startup/site/sp-site-constants.php

 Differences:

 http://websvn.simple-press.com/revision.php?repname=Simple:Press&path=%2F&rev=14980
svn

svn

2017-01-12 05:59

administrator   ~0019029

Changeset [15023] by steve on 2017-01-12 00:59:55 -0500 (Thu, 12 Jan 2017)

see issue 0005690 fix some hooks for rewrite rule flushing

 Changed Files:

U trunk/sp-startup/sp-load-class-spccoreloader.php
U trunk/sp-startup/sp-load-class-spcsiteloader.php

 Differences:

 http://websvn.simple-press.com/revision.php?repname=Simple:Press&path=%2F&rev=15023
svn

svn

2017-01-13 17:13

administrator   ~0019033

Changeset [15029] by steve on 2017-01-13 12:13:51 -0500 (Fri, 13 Jan 2017)

see issue 0005690 fix some constants definition location

 Changed Files:

U trunk/sp-startup/admin/spa-admin-constants.php
U trunk/sp-startup/core/sp-core-constants.php

 Differences:

 http://websvn.simple-press.com/revision.php?repname=Simple:Press&path=%2F&rev=15029
svn

svn

2017-01-13 17:55

administrator   ~0019034

Changeset [15030] by steve on 2017-01-13 12:55:05 -0500 (Fri, 13 Jan 2017)

see issue 0005690 update loading class structure for permalink flushing (plus code cleanups)

 Changed Files:

U trunk/sp-control.php
U trunk/sp-startup/admin/spa-admin-support-functions.php
U trunk/sp-startup/core/sp-core-support-functions.php
U trunk/sp-startup/forum/sp-forum-support-functions.php
U trunk/sp-startup/site/sp-site-support-functions.php
U trunk/sp-startup/sp-load-class-spcadmincoreloader.php
U trunk/sp-startup/sp-load-class-spcadminloader.php
U trunk/sp-startup/sp-load-class-spccoreloader.php
U trunk/sp-startup/sp-load-class-spcsiteloader.php

 Differences:

 http://websvn.simple-press.com/revision.php?repname=Simple:Press&path=%2F&rev=15030

Issue History

Date Modified Username Field Change
2016-12-24 07:02 Mr Papa New Issue
2016-12-24 07:02 Mr Papa Assigned To => Mr Papa
2016-12-24 07:02 Mr Papa Status new => assigned
2016-12-24 07:10 svn =>
2016-12-24 07:10 svn Note Added: 0018878
2016-12-24 17:16 svn =>
2016-12-24 17:16 svn Note Added: 0018880
2016-12-24 18:03 svn =>
2016-12-24 18:03 svn Note Added: 0018884
2016-12-25 01:16 svn =>
2016-12-25 01:16 svn Note Added: 0018887
2016-12-25 01:52 svn =>
2016-12-25 01:52 svn Note Added: 0018888
2016-12-25 02:28 svn =>
2016-12-25 02:28 svn Note Added: 0018889
2016-12-25 05:00 svn =>
2016-12-25 05:00 svn Note Added: 0018890
2016-12-25 19:44 svn =>
2016-12-25 19:44 svn Note Added: 0018895
2016-12-26 00:24 svn =>
2016-12-26 00:24 svn Note Added: 0018896
2016-12-26 03:21 svn =>
2016-12-26 03:21 svn Note Added: 0018897
2016-12-26 05:20 svn =>
2016-12-26 05:20 svn Note Added: 0018898
2016-12-26 17:19 svn =>
2016-12-26 17:19 svn Note Added: 0018901
2016-12-26 20:34 svn =>
2016-12-26 20:34 svn Note Added: 0018902
2016-12-26 20:45 svn =>
2016-12-26 20:45 svn Note Added: 0018903
2016-12-27 00:37 svn =>
2016-12-27 00:37 svn Note Added: 0018904
2016-12-27 00:38 svn =>
2016-12-27 00:38 svn Note Added: 0018905
2016-12-27 00:38 svn =>
2016-12-27 00:38 svn Note Added: 0018906
2016-12-27 00:46 svn =>
2016-12-27 00:46 svn Note Added: 0018907
2016-12-27 00:47 svn =>
2016-12-27 00:47 svn Note Added: 0018908
2016-12-27 05:28 svn =>
2016-12-27 05:28 svn Note Added: 0018909
2016-12-27 05:29 svn =>
2016-12-27 05:29 svn Note Added: 0018910
2016-12-27 05:29 svn =>
2016-12-27 05:29 svn Note Added: 0018911
2016-12-28 19:55 svn =>
2016-12-28 19:55 svn Note Added: 0018923
2016-12-28 23:17 svn =>
2016-12-28 23:17 svn Note Added: 0018925
2016-12-28 23:18 svn =>
2016-12-28 23:18 svn Note Added: 0018926
2016-12-28 23:18 svn =>
2016-12-28 23:18 svn Note Added: 0018927
2016-12-30 05:47 svn =>
2016-12-30 05:47 svn Note Added: 0018951
2016-12-30 05:48 svn =>
2016-12-30 05:48 svn Note Added: 0018952
2017-01-02 20:19 svn =>
2017-01-02 20:19 svn Note Added: 0018986
2017-01-09 04:40 Mr Papa Status assigned => testing
2017-01-12 05:59 svn =>
2017-01-12 05:59 svn Note Added: 0019029
2017-01-13 17:13 svn =>
2017-01-13 17:13 svn Note Added: 0019033
2017-01-13 17:55 svn =>
2017-01-13 17:55 svn Note Added: 0019034
2017-01-15 21:25 Mr Papa Status testing => closed
2017-01-15 21:25 Mr Papa Resolution open => fixed
2017-01-15 21:25 Mr Papa Fixed in Version => 6.0
2017-01-15 21:25 Mr Papa change_log_text update => generate loader classes
2017-07-11 01:58 Mr Papa Fixed in Version 6.0 => 5.8
2017-07-11 01:58 Mr Papa Target Version 6.0 => 5.8